# Gimp.Image.get_thumbnail

    @accepts(Gimp.Image, int, int, Gimp.PixbufTransparency)
    @returns(GdkPixbuf.Pixbuf)
    def get_thumbnail(self, width, height, alpha):
        # Python wrapper for gimp_image_get_thumbnail()

Retrieves a thumbnail pixbuf for self. The thumbnail will be not larger than the requested size.

Since 2.2

self

  the Gimp.Image

width

  the requested thumbnail width (<= 1024 pixels)

height

  the requested thumbnail height (<= 1024 pixels)

alpha

  how to handle an alpha channel

Returns